- Home
- API Enriched
- Tenant And Identity
- web
- DELETE User and Related Objects.
DELETE User and Related Objects.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/users/cascade_delete';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/users/cascade_delete \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "namespace": "example" }'CascadeDelete deletes the user and associated namespace roles for this user. Use this only if the user and its referenced objects need to be wiped out altogether. Note: users will always be in the system namespace.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Value of namespace is always “system”
Request Bodyrequired
Section titled “Request Bodyrequired”CascadeDeleteRequest is the request to DELETE the user along with the associated namespace role objects. Note: only admin is allowed to DELETE the user and associated objects.
object
Email of the user requesting for Required: YES.
Value of namespace is always “system”
Examplegenerated
{ "email": "hello@example.com", "namespace": "example"}Responses
Section titled “Responses”A successful response.
CascadeDeleteResponse contains a list of user objects that were deleted and possibly any errors when attempting to DELETE those objects.
object
Status of the deleted objects. “true” value indicates that the operation had been successful for all the objects. “false” value indicates that at least one of the DELETE operations had been unsuccessful.
The objects deleted for the specific user.
CascadeDeleteItemType contains details of object that was handled as part of cascade DELETE of user and whether it was successfully deleted.
object
Informative error message about the success or failure of the object’s deletion response.
Name of the object.
The type of the object.
The uid of the object.
Examplegenerated
{ "delete_ok": true, "items": [ { "error_message": "example", "object_name": "example", "object_type": "example", "object_uid": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example